# FlowLogsApi

## FlowLogsApi

All URIs are relative to *<https://api.ionos.com/cloudapi/v6>*

| Method                                                                                                  | HTTP request                                                                                | Description                |
| ------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------- | -------------------------- |
| [**datacenters\_servers\_nics\_flowlogs\_delete**](#datacenters_servers_nics_flowlogs_delete)           | **DELETE** /datacenters/{datacenterId}/servers/{serverId}/nics/{nicId}/flowlogs/{flowlogId} | Delete Flow Logs           |
| [**datacenters\_servers\_nics\_flowlogs\_find\_by\_id**](#datacenters_servers_nics_flowlogs_find_by_id) | **GET** /datacenters/{datacenterId}/servers/{serverId}/nics/{nicId}/flowlogs/{flowlogId}    | Retrieve Flow Logs         |
| [**datacenters\_servers\_nics\_flowlogs\_get**](#datacenters_servers_nics_flowlogs_get)                 | **GET** /datacenters/{datacenterId}/servers/{serverId}/nics/{nicId}/flowlogs                | List Flow Logs             |
| [**datacenters\_servers\_nics\_flowlogs\_patch**](#datacenters_servers_nics_flowlogs_patch)             | **PATCH** /datacenters/{datacenterId}/servers/{serverId}/nics/{nicId}/flowlogs/{flowlogId}  | Partially modify Flow Logs |
| [**datacenters\_servers\_nics\_flowlogs\_post**](#datacenters_servers_nics_flowlogs_post)               | **POST** /datacenters/{datacenterId}/servers/{serverId}/nics/{nicId}/flowlogs               | Create a Flow Log          |
| [**datacenters\_servers\_nics\_flowlogs\_put**](#datacenters_servers_nics_flowlogs_put)                 | **PUT** /datacenters/{datacenterId}/servers/{serverId}/nics/{nicId}/flowlogs/{flowlogId}    | Modify Flow Logs           |

## **datacenters\_servers\_nics\_flowlogs\_delete**

> datacenters\_servers\_nics\_flowlogs\_delete(datacenter\_id, server\_id, nic\_id, flowlog\_id, pretty=pretty, depth=depth)

Delete Flow Logs

Delete the specified Flow Log.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.FlowLogsApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    server_id = 'server_id_example' # str | The unique ID of the server.
    nic_id = 'nic_id_example' # str | The unique ID of the NIC.
    flowlog_id = 'flowlog_id_example' # str | The unique ID of the Flow Log.
    try:
        # Delete Flow Logs
        api_instance.datacenters_servers_nics_flowlogs_delete(datacenter_id, server_id, nic_id, flowlog_id)
    except ApiException as e:
        print('Exception when calling FlowLogsApi.datacenters_servers_nics_flowlogs_delete: %s\n' % e)
```

#### Parameters

| Name               | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ------------------ | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id** | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **server\_id**     | **str**  | The unique ID of the server.                                                                                                                                                                                                                                                                                                                                                                                                             |                                |
| **nic\_id**        | **str**  | The unique ID of the NIC.                                                                                                                                                                                                                                                                                                                                                                                                                |                                |
| **flowlog\_id**    | **str**  | The unique ID of the Flow Log.                                                                                                                                                                                                                                                                                                                                                                                                           |                                |
| **pretty**         | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**          | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |

#### Return type

void (empty response body)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_servers\_nics\_flowlogs\_find\_by\_id**

> FlowLog datacenters\_servers\_nics\_flowlogs\_find\_by\_id(datacenter\_id, server\_id, nic\_id, flowlog\_id, pretty=pretty, depth=depth)

Retrieve Flow Logs

Retrieve the properties of the specified Flow Log.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.FlowLogsApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    server_id = 'server_id_example' # str | The unique ID of the server.
    nic_id = 'nic_id_example' # str | The unique ID of the NIC.
    flowlog_id = 'flowlog_id_example' # str | The unique ID of the Flow Log.
    try:
        # Retrieve Flow Logs
        api_response = api_instance.datacenters_servers_nics_flowlogs_find_by_id(datacenter_id, server_id, nic_id, flowlog_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling FlowLogsApi.datacenters_servers_nics_flowlogs_find_by_id: %s\n' % e)
```

#### Parameters

| Name               | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ------------------ | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id** | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **server\_id**     | **str**  | The unique ID of the server.                                                                                                                                                                                                                                                                                                                                                                                                             |                                |
| **nic\_id**        | **str**  | The unique ID of the NIC.                                                                                                                                                                                                                                                                                                                                                                                                                |                                |
| **flowlog\_id**    | **str**  | The unique ID of the Flow Log.                                                                                                                                                                                                                                                                                                                                                                                                           |                                |
| **pretty**         | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**          | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |

#### Return type

[**FlowLog**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/flowlog)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_servers\_nics\_flowlogs\_get**

> FlowLogs datacenters\_servers\_nics\_flowlogs\_get(datacenter\_id, server\_id, nic\_id, pretty=pretty, depth=depth, offset=offset, limit=limit)

List Flow Logs

List all the Flow Logs for the specified NIC.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.FlowLogsApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    server_id = 'server_id_example' # str | The unique ID of the server.
    nic_id = 'nic_id_example' # str | The unique ID of the NIC.
    try:
        # List Flow Logs
        api_response = api_instance.datacenters_servers_nics_flowlogs_get(datacenter_id, server_id, nic_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling FlowLogsApi.datacenters_servers_nics_flowlogs_get: %s\n' % e)
```

#### Parameters

| Name               | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ------------------ | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id** | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **server\_id**     | **str**  | The unique ID of the server.                                                                                                                                                                                                                                                                                                                                                                                                             |                                |
| **nic\_id**        | **str**  | The unique ID of the NIC.                                                                                                                                                                                                                                                                                                                                                                                                                |                                |
| **pretty**         | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**          | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **offset**         | **int**  | The first element (from the complete list of the elements) to include in the response (used together with \<b>\<i>limit\</i>\</b> for pagination).                                                                                                                                                                                                                                                                                       | \[optional] \[default to 0]    |
| **limit**          | **int**  | The maximum number of elements to return (use together with offset for pagination).                                                                                                                                                                                                                                                                                                                                                      | \[optional] \[default to 1000] |

#### Return type

[**FlowLogs**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/flowlogs)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_servers\_nics\_flowlogs\_patch**

> FlowLog datacenters\_servers\_nics\_flowlogs\_patch(datacenter\_id, server\_id, nic\_id, flowlog\_id, flowlog, pretty=pretty, depth=depth)

Partially modify Flow Logs

Update the specified Flow Log record.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.FlowLogsApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    server_id = 'server_id_example' # str | The unique ID of the server.
    nic_id = 'nic_id_example' # str | The unique ID of the NIC.
    flowlog_id = 'flowlog_id_example' # str | The unique ID of the Flow Log.
    flowlog = ionoscloud.FlowLogProperties() # FlowLogProperties | The Flow Log record to be updated.
    try:
        # Partially modify Flow Logs
        api_response = api_instance.datacenters_servers_nics_flowlogs_patch(datacenter_id, server_id, nic_id, flowlog_id, flowlog)
        print(api_response)
    except ApiException as e:
        print('Exception when calling FlowLogsApi.datacenters_servers_nics_flowlogs_patch: %s\n' % e)
```

#### Parameters

| Name               | Type                                                                                                                   | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ------------------ | ---------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id** | **str**                                                                                                                | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **server\_id**     | **str**                                                                                                                | The unique ID of the server.                                                                                                                                                                                                                                                                                                                                                                                                             |                                |
| **nic\_id**        | **str**                                                                                                                | The unique ID of the NIC.                                                                                                                                                                                                                                                                                                                                                                                                                |                                |
| **flowlog\_id**    | **str**                                                                                                                | The unique ID of the Flow Log.                                                                                                                                                                                                                                                                                                                                                                                                           |                                |
| **flowlog**        | [**FlowLogProperties**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/flowlogproperties) | The Flow Log record to be updated.                                                                                                                                                                                                                                                                                                                                                                                                       |                                |
| **pretty**         | **bool**                                                                                                               | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**          | **int**                                                                                                                | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |

#### Return type

[**FlowLog**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/flowlog)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **datacenters\_servers\_nics\_flowlogs\_post**

> FlowLog datacenters\_servers\_nics\_flowlogs\_post(datacenter\_id, server\_id, nic\_id, flowlog, pretty=pretty, depth=depth)

Create a Flow Log

Adds a new Flow Log for the specified NIC.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.FlowLogsApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    server_id = 'server_id_example' # str | The unique ID of the server.
    nic_id = 'nic_id_example' # str | The unique ID of the NIC.
    flowlog = ionoscloud.FlowLog() # FlowLog | The Flow Log to create.
    try:
        # Create a Flow Log
        api_response = api_instance.datacenters_servers_nics_flowlogs_post(datacenter_id, server_id, nic_id, flowlog)
        print(api_response)
    except ApiException as e:
        print('Exception when calling FlowLogsApi.datacenters_servers_nics_flowlogs_post: %s\n' % e)
```

#### Parameters

| Name               | Type                                                                                               | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ------------------ | -------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id** | **str**                                                                                            | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **server\_id**     | **str**                                                                                            | The unique ID of the server.                                                                                                                                                                                                                                                                                                                                                                                                             |                                |
| **nic\_id**        | **str**                                                                                            | The unique ID of the NIC.                                                                                                                                                                                                                                                                                                                                                                                                                |                                |
| **flowlog**        | [**FlowLog**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/flowlog) | The Flow Log to create.                                                                                                                                                                                                                                                                                                                                                                                                                  |                                |
| **pretty**         | **bool**                                                                                           | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**          | **int**                                                                                            | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |

#### Return type

[**FlowLog**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/flowlog)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **datacenters\_servers\_nics\_flowlogs\_put**

> FlowLog datacenters\_servers\_nics\_flowlogs\_put(datacenter\_id, server\_id, nic\_id, flowlog\_id, flowlog, pretty=pretty, depth=depth)

Modify Flow Logs

Modify the specified Flow Log record.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.FlowLogsApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    server_id = 'server_id_example' # str | The unique ID of the server.
    nic_id = 'nic_id_example' # str | The unique ID of the NIC.
    flowlog_id = 'flowlog_id_example' # str | The unique ID of the Flow Log.
    flowlog = ionoscloud.FlowLogPut() # FlowLogPut | The modified Flow Log.
    try:
        # Modify Flow Logs
        api_response = api_instance.datacenters_servers_nics_flowlogs_put(datacenter_id, server_id, nic_id, flowlog_id, flowlog)
        print(api_response)
    except ApiException as e:
        print('Exception when calling FlowLogsApi.datacenters_servers_nics_flowlogs_put: %s\n' % e)
```

#### Parameters

| Name               | Type                                                                                                     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ------------------ | -------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id** | **str**                                                                                                  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **server\_id**     | **str**                                                                                                  | The unique ID of the server.                                                                                                                                                                                                                                                                                                                                                                                                             |                                |
| **nic\_id**        | **str**                                                                                                  | The unique ID of the NIC.                                                                                                                                                                                                                                                                                                                                                                                                                |                                |
| **flowlog\_id**    | **str**                                                                                                  | The unique ID of the Flow Log.                                                                                                                                                                                                                                                                                                                                                                                                           |                                |
| **flowlog**        | [**FlowLogPut**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/flowlogput) | The modified Flow Log.                                                                                                                                                                                                                                                                                                                                                                                                                   |                                |
| **pretty**         | **bool**                                                                                                 | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**          | **int**                                                                                                  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |

#### Return type

[**FlowLog**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/flowlog)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json
